<?php
/**
 * @package		Videos
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2021 DevFuse
 */

namespace IPS\videos\extensions\core\CreateMenu;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * Create Menu Extension: Videos
 */
class _Videos
{
	/**
	 * Get Items
	 *
	 * @return	array
	 */
	public function getItems()
	{		
		if( \IPS\Member::loggedIn()->group['g_vs_add_video'] AND \IPS\videos\Category::canOnAny( 'add' ) AND \IPS\videos\Video::canCreate( \IPS\Member::loggedIn() ) )
		{
			return array(
				'video_video' => array(
					'link' 		=> \IPS\Http\Url::internal( "app=videos&module=videos&controller=submit", 'front', 'videos_add' ),
					'title' 	=> 'videos_select_category',
					'extraData'	=> array( 'data-ipsDialog' => true, 'data-ipsDialog-size' => "narrow" )
				)
			);
		}	
		
		return array();
	}
}