//<?php
/**
 * @package		Videos
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2021 DevFuse
 */

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class videos_hook_groupSource extends _HOOK_CLASS_
{
    /**
     * Group datastore
     *
     * @return	array
     */
    static public function getStore()
    {
	try
	{
		try
		{
			try
			{
				try
				{
					try
					{
						try
						{
						        /* Get data store */
						        $store = parent::getStore();
						
						        /* Setup */
						        $newStore = array();
						        $slice = \array_slice( $store, 0, 1 );
						
						        /* Extra data missing? */
						        if( !isset( $slice[ 0 ]['g_vs_view'] ) )
						        {
						            /* Get group permissions */
						            $extraData = iterator_to_array( \IPS\Db::i()->select( 'videos_groups.*', 'videos_groups' )->setKeyField( 'group_id' ) );
						
						            foreach( $store as $id => $data )
						            {
						                /* Check exists */
						                if( isset( $extraData[ $id ] ) )
						                {
						                    $newStore[ $id ] = array_merge( $data, $extraData[ $id ] );
						                }
						                else
						                {
						                    $newStore[ $id ] = $data;
						                }
						            }
						        }
						
						        /* Update data store if extra data added */
						        if( \count( $newStore ) )
						        {
						            \IPS\Data\Store::i()->groups = $newStore;
						        }
						
						        return $store;
						}
						catch ( \RuntimeException $e )
						{
							if ( method_exists( get_parent_class(), __FUNCTION__ ) )
							{
								return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
							}
							else
							{
								throw $e;
							}
						}
					}
					catch ( \Error | \RuntimeException $e )
					{
						if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
						{
							\IPS\Log::log( $e, 'hook_exception' );
						}
				
						if ( method_exists( get_parent_class(), __FUNCTION__ ) )
						{
							return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
						}
						else
						{
							throw $e;
						}
					}
				}
				catch ( \Error | \RuntimeException $e )
				{
					if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
					{
						\IPS\Log::log( $e, 'hook_exception' );
					}
			
					if ( method_exists( get_parent_class(), __FUNCTION__ ) )
					{
						return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
					}
					else
					{
						throw $e;
					}
				}
			}
			catch ( \Error | \RuntimeException $e )
			{
				if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
				{
					\IPS\Log::log( $e, 'hook_exception' );
				}
		
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
			{
				\IPS\Log::log( $e, 'hook_exception' );
			}
	
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

    /**
     * [ActiveRecord] Delete Record
     *
     * @return	void
     */
    public function delete()
    {
	try
	{
		try
		{
			try
			{
				try
				{
					try
					{
						try
						{
						        \IPS\Db::i()->delete( 'videos_groups', array( 'group_id = ?', $this->g_id ) );
						
						        return parent::delete();
						}
						catch ( \RuntimeException $e )
						{
							if ( method_exists( get_parent_class(), __FUNCTION__ ) )
							{
								return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
							}
							else
							{
								throw $e;
							}
						}
					}
					catch ( \Error | \RuntimeException $e )
					{
						if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
						{
							\IPS\Log::log( $e, 'hook_exception' );
						}
				
						if ( method_exists( get_parent_class(), __FUNCTION__ ) )
						{
							return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
						}
						else
						{
							throw $e;
						}
					}
				}
				catch ( \Error | \RuntimeException $e )
				{
					if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
					{
						\IPS\Log::log( $e, 'hook_exception' );
					}
			
					if ( method_exists( get_parent_class(), __FUNCTION__ ) )
					{
						return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
					}
					else
					{
						throw $e;
					}
				}
			}
			catch ( \Error | \RuntimeException $e )
			{
				if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
				{
					\IPS\Log::log( $e, 'hook_exception' );
				}
		
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
			{
				\IPS\Log::log( $e, 'hook_exception' );
			}
	
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

	/**
	 * [ActiveRecord] Duplicate
	 *
	 * @return	void
	 */
	public function __clone()
	{
		try
		{
			try
			{
				try
				{
					try
					{
						$ourData = array();
			
						foreach ( $this->_data AS $k => $v )
						{
							if ( mb_substr( $k, 0, 5 ) === 'g_vs_' )
							{
								$ourData[ $k ] = $v;
								unset( $this->_data[ $k ] );
							}
						}
			
						unset( $this->_data['group_id'] );
			
						parent::__clone();
			
						\IPS\Db::i()->insert( 'videos_groups', array_merge( array( 'group_id' => $this->g_id ), $ourData ) );
					}
					catch ( \RuntimeException $e )
					{
						if ( method_exists( get_parent_class(), __FUNCTION__ ) )
						{
							return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
						}
						else
						{
							throw $e;
						}
					}
				}
				catch ( \Error | \RuntimeException $e )
				{
					if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
					{
						\IPS\Log::log( $e, 'hook_exception' );
					}
		
					if ( method_exists( get_parent_class(), __FUNCTION__ ) )
					{
						return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
					}
					else
					{
						throw $e;
					}
				}
			}
			catch ( \Error | \RuntimeException $e )
			{
				if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
				{
					\IPS\Log::log( $e, 'hook_exception' );
				}
	
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
			{
				\IPS\Log::log( $e, 'hook_exception' );
			}

			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
