<?php
/**
 * @package		Videos
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2021 DevFuse
 */

namespace IPS\videos\setup\upg_100016;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * 3.1.13 Upgrade Code
 */
class _Upgrade
{
	/**
	 * Remove old fields
	 *
	 * @return	array	If returns TRUE, upgrader will proceed to next step. If it returns any other value, it will set this as the value of the 'extra' GET parameter and rerun this step (useful for loops)
	 */
	public function step1()
	{
        /* Drop videos fields */
	    $deleteFields = array( 'author_name', 'flagged', 'members_seo_name', 'video_info', 'topic_seo' );
        
        /* Go through and delete */                      
        foreach( $deleteFields as $field )
        {
            if( \IPS\Db::i()->checkForColumn( 'videos_videos', $field ) )
            {
                \IPS\Db::i()->dropColumn( 'videos_videos', array( $field ) );    
            }            
        }		

		return TRUE;
	}
}